const
	maxn = 100000;

var
	n, m, minc, maxc, minl, maxl: longint;
	a, b, c, x, y: array [1..maxn] of longint;
	i: longint;

begin
	randseed := 152890740;
	n := 100000;
	m := 100000;

	minc := -1000000000;
	maxc := 1000000000;
	minl := -1000000000;
	maxl := 1000000000;

	for i := 1 to n do begin
		a[i] := random(maxl - minl + 1) + minl;
		b[i] := random(maxl - minl + 1) + minl;
		c[i] := random(maxl - minl + 1) + minl;
	end;

	for i := 1 to m do begin
		x[i] := random(maxc - minc + 1) + minc;
		y[i] := random(maxc - minc + 1) + minc;
	end;

	writeln(n, ' ', m);
	for i := 1 to n do begin
		writeln(a[i], ' ', b[i], ' ', c[i]);
	end;
	for i := 1 to m do begin
		writeln(x[i], ' ', y[i]);
	end;
end.